package com.zcloud.primeport.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.primeport.persistence.dataobject.AppCountDTO;
import com.zcloud.primeport.persistence.dataobject.FgsVehicleCountDto;
import com.zcloud.primeport.persistence.dataobject.VehicleApplyDO;
import com.zcloud.primeport.plan.mjDevice.dto.OneLevelCarSaveDto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:24
 */
public interface VehicleApplyRepository extends BaseRepository<VehicleApplyDO> {
    PageResponse<VehicleApplyDO> listPage(Map<String, Object> params);

    PageResponse<FgsVehicleCountDto> fgsCount(HashMap<String, String> qry);


    PageResponse<VehicleApplyDO> getCarByVehicleBelongType(Map<String, Object> params);

    VehicleApplyDO getInfoById(Long id);

    List<AppCountDTO> getAppCount(Map<String, Object> parmas);

    List<OneLevelCarSaveDto> listTodayHasPort(String licenceNo);
}

